Dža ko lil

FLUX.2 [klein] 9B

Integriruj

Modelosko id flux-2/klein/9b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/flux-2/klein/9b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: $0.006 6 API krediti · ≈ ₽0.63 Phir les kate

Lel API klidin
Black Forest Labs Teksto ko Kip

Tekstosar čitrokeripen but-cikne stepsar, dži 4 čitri jekh call-este, šov baripnasqe presetura

Black Forest Labs · Kip

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul

Prompto savo dromarel kipoqo generiripe.

image_size standardno landscape_4_3

Dimenzije vaš kerel pes o kipo.

num_images standardno 1

Manglo kipoqo gin vaš generiripe.

Lučhe output_format · num_inference_steps · seed · enable_safety_checker
output_format standardno png

Fajlo-formato e rezultato kipoqo.

standardno 4

Gin inference steps pala te kerel.

Kerepesqo seed override; kana na dino, o keripe alosarel jekh seed randomeste.

POST /run/flux-2/klein/9b?wait=20 hesab → $0.006
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/flux-2/klein/9b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal FLUX.2 [klein] 9B

Kerel čitri tekstune `prompt`-estar. `num_inference_steps` džal 4 to 8 (default 4), thaj `num_images` anel 1 to 4 čitri jekh mangipnaste. `image_size` lel presetura square_hd-endar dži landscape_16_9 (landscape_4_3 defaultno), thaj o rezultato šaj te avel jpeg, png vaj webp. Jekh `seed` kerel pale-sar keripnasqe rezultatura.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
prompttrubul
Tipstring
Prompto savo dromarel kipoqo generiripe.
seedopcionalno
Tipinteger | null
Kerepesqo seed override; kana na dino, o keripe alosarel jekh seed randomeste.
num_inference_stepsopcionalno
Tipinteger
standardno4
4 – 8
Gin inference steps pala te kerel.
image_sizeopcionalno
Tipobject
standardnolandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
Dimenzije vaš kerel pes o kipo.
num_imagesopcionalno num_outputs
Tipinteger
standardno1
1 – 4
Manglo kipoqo gin vaš generiripe.
enable_safety_checkeropcionalno
Tipboolean
standardnotrue
Safety-checking savo thovel kale kipo thaneste sako unsafe kipo. True aktivarel checking; false deaktivuil la numa autorizirime kontonge, kana mangipena bi autorizacia si checking zorutno.
output_formatopcionalno
Tipenum
standardnopng
jpegpngwebp
Fajlo-formato e rezultato kipoqo.
trubul Kanonikano nav, vi akceptime

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2/klein/9b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 6,
    "usd": "0.006",
    "charged": 6,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
images
array of object {url, content_type, file_name, file_size, width, height}Kipo kerdine e modeloça.
timings
object
seed
integerKipo-generiripeqo seed, inkludirindoj o randomno kidlo valoro kana o inputo na sas seed; averčes, repetirisar o dindo valoro.
has_nsfw_concepts
array of booleanSikavel te si NSFW koncepto ande generirime kipo.
prompt
stringPrompto utilizuime ko kipoqo generiripe.

Bute modeli: Teksto ko Kip

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/flux-2/klein/9b.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt